Pulp - Issue #507

bash tab completion does not allow completion for file paths
02/28/2015 11:17 PM - rbarlow

Status: CLOSED - CURRENTRELEASE Start date:

Priority: Normal Due date:

Assignee: igulina@redhat.com Estimated time: 0:00 hour
Category:

Sprint/Milestone:

Severity: 2. Medium Groomed: No
Version: Master Sprint Candidate: No
Platform Release: 26.0 Tags: Pulp 2
0OS: Sprint:

Triaged: Yes Quarter:

Description

Description of problem:
The new bash tab completion does not allow the user to complete file paths

Version-Release number of selected component (if applicable):
master

How reproducible:
Every time.

Steps to Reproduce:
1. pulp-admin rpm repo create --feed-ca-cert /hom <TAB><TAB>

Actual results:
Nothing can be completed.

Expected results:
| would expect it to complete to /home/

+ This bug was cloned from Bugzilla Bug #1136504 +

History

#1 - 02/28/2015 11:17 PM - igulina@redhat.com
https://github.com/pulp/pulp/pull/1166

+ This comment was cloned from Bugzilla #1136504 comment 1 +

#2 - 02/28/2015 11:17 PM - cduryee

Patch is in 2.6-dev and master, setting target release to 2.6.0

+ This comment was cloned from Bugzilla #1136504 comment 2 +

#3 - 02/28/2015 11:17 PM - cduryee
fixed in pulp 2.6.0-0.2.beta

+ This comment was cloned from Bugzilla #1136504 comment 3 +

#4 - 03/20/2015 08:15 PM - bmbouter

- Severity changed from Medium to 2. Medium

#5 - 04/23/2015 06:25 PM - rbarlow
- Status changed from 6 to CLOSED - CURRENTRELEASE

10/19/2021

12



https://bugzilla.redhat.com/show_bug.cgi?id=1136504
https://github.com/pulp/pulp/pull/1166
https://bugzilla.redhat.com/show_bug.cgi?id=1136504#c1
https://bugzilla.redhat.com/show_bug.cgi?id=1136504#c2
https://bugzilla.redhat.com/show_bug.cgi?id=1136504#c3

#7 - 04/15/2019 11:10 PM - bmbouter
- Tags Pulp 2 added

10/19/2021 22


http://www.tcpdf.org

